Bug 731304 - libwbxml 0.11 is released
Summary: libwbxml 0.11 is released
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libwbxml
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 732697 (view as bug list)
Depends On: 734119
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-17 10:13 UTC by David Woodhouse
Modified: 2011-09-09 17:03 UTC (History)
3 users (show)

Fixed In Version: libwbxml-0.11.0-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-09 17:03:57 UTC


Attachments (Terms of Use)
Spec file for libwbxml-0.10.9 as compat package (2.69 KB, text/x-rpm-spec)
2011-08-29 13:38 UTC, Petr Pisar
no flags Details
Patch needed for libwbxml-compat package (676 bytes, patch)
2011-08-29 13:39 UTC, Petr Pisar
no flags Details | Diff

Description David Woodhouse 2011-08-17 10:13:17 UTC
In order to build the ActiveSync support for Evolution and SyncEvolution, we need to update to libwbxml v0.11. Please.

Comment 1 Petr Pisar 2011-08-23 06:48:30 UTC
Version 0.11.0 breaks API. I need to look if I have other users before rebasing. Fortunately, this version installs header files into different directory, so parallel installation of more versions should be possible.

Comment 2 Petr Pisar 2011-08-23 07:46:28 UTC
The only `user' is libsyncml that depends on libwbxml2.so.0 from wbxml2, a predecessor of libwbxml still delivered by Fedora. So I have no objections to rebase libwbxml to 0.11.0.

Comment 3 Petr Pisar 2011-08-23 11:08:45 UTC
*** Bug 732697 has been marked as a duplicate of this bug. ***

Comment 4 Fedora Update System 2011-08-26 10:04:50 UTC
libwbxml-0.11.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libwbxml-0.11.0-1.fc16

Comment 5 Petr Pisar 2011-08-26 13:34:44 UTC
There is conflict in Obsoletes: and if Obsoletes removed, there is conflict with /usr/bin/* tools and pkg-config module.

One needs to package old libwbxml as new compatibility package providing library, header files and pkg-config module for sake of libsyncml package.

Comment 6 Petr Pisar 2011-08-26 13:56:20 UTC
Fellix, can you get libsyncml working with libwbxml-0.11.0, or should I hassle with creating new package (let's call it libwbxml0) delivering old libwbxml-0.10.9 version (library, headers and modified pkg-config only) to support your libsyncml?

Comment 7 Fedora Update System 2011-08-26 14:20:04 UTC
Package libwbxml-0.11.0-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libwbxml-0.11.0-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/libwbxml-0.11.0-1.fc16
then log in and leave karma (feedback).

Comment 8 jurek.bajor 2011-08-26 20:09:32 UTC
Have a problem with F16 update.

yumex output:
...
21:47:32 : YUM: ---> Package libwbxml.i686 0:0.10.9-3.fc15 will be updated

21:47:32 : YUM: --> Processing Dependency: libwbxml2.so.0 for package: 1:libsyncml-0.4.6-3.fc15.i686

21:47:32 : YUM: Package wbxml2-0.9.2-17.fc15.i686 is obsoleted by libwbxml-0.10.9-3.fc15.i686 which is already installed

21:47:32 : YUM: ---> Package libwbxml.i686 0:0.11.0-1.fc16 will be an update
...
21:47:37 : YUM: --> Finished Dependency Resolution

21:50:19 : ERROR: Dependency resolving completed with errors
21:50:19 : ERROR:   Package: 1:libsyncml-0.4.6-3.fc15.i686 (@koji-override-0/$releasever)
    Requires: libwbxml2.so.0
    Removing: libwbxml-0.10.9-3.fc15.i686 (@koji-override-0/$releasever)
        libwbxml2.so.0
    Updated By: libwbxml-0.11.0-1.fc16.i686 (updates-testing)
        Not found
    Available: wbxml2-0.9.2-17.fc15.i686 (fedora)
        libwbxml2.so.0

$ yum list "*wbxml*"
...
Installed Packages
libwbxml.i686               0.10.9-3.fc15          @koji-override-0/$releasever
Available Packages
libwbxml.i686               0.11.0-1.fc16          updates-testing             
libwbxml-devel.i686         0.11.0-1.fc16          updates-testing             
wbxml2.i686                 0.9.2-17.fc15          fedora                      
wbxml2-devel.i686           0.9.2-17.fc15          fedora                      

$ rpm -ql libwbxml
/usr/bin/wbxml2xml
/usr/bin/xml2wbxml
/usr/lib/libwbxml2.so.0
/usr/lib/libwbxml2.so.0.0.18
/usr/share/doc/libwbxml-0.10.9
/usr/share/doc/libwbxml-0.10.9/AUTHORS
/usr/share/doc/libwbxml-0.10.9/BUGS
/usr/share/doc/libwbxml-0.10.9/COPYING

JB

Comment 9 Petr Pisar 2011-08-29 07:14:50 UTC
(In reply to comment #8)
> Have a problem with F16 update.
> 
I know. I've already unpushed it from updates-testing but something put it back.

Comment 10 Petr Pisar 2011-08-29 13:38:31 UTC
Created attachment 520400 [details]
Spec file for libwbxml-0.10.9 as compat package

Comment 11 Petr Pisar 2011-08-29 13:39:07 UTC
Created attachment 520401 [details]
Patch needed for libwbxml-compat package

Comment 12 Petr Pisar 2011-08-29 13:42:12 UTC
libsyncml compiles against the new libwbxml-0.11.0 version. Is it worth to create compat package (attached, libsyncml needs to link against libwbxml2-compat-0 pkg-config module) or does plain recompilation suffice?

Comment 13 Petr Pisar 2011-08-29 13:51:28 UTC
I put libwbxml-compat under review (bug #734119).

Comment 14 Fedora Update System 2011-08-31 09:09:22 UTC
libwbxml-0.11.0-1.fc16, libwbxml-compat-0.10.9-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libwbxml-0.11.0-1.fc16,libwbxml-compat-0.10.9-1.fc16

Comment 15 Fedora Update System 2011-08-31 21:44:15 UTC
Package libwbxml-0.11.0-1.fc16, libwbxml-compat-0.10.9-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libwbxml-0.11.0-1.fc16 libwbxml-compat-0.10.9-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/libwbxml-0.11.0-1.fc16,libwbxml-compat-0.10.9-1.fc16
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2011-09-09 17:03:45 UTC
libwbxml-0.11.0-1.fc16, libwbxml-compat-0.10.9-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.